#ifndef _DLL_H_
#define _DLL_H_

#if BUILDING_DLL
# define DLLIMPORT __declspec (dllexport)
#else /* Not BUILDING_DLL */
# define DLLIMPORT __declspec (dllimport)
#endif /* Not BUILDING_DLL */


class DLLIMPORT DllClass
{
  public:
    DllClass();
    virtual ~DllClass(void);

  private:

};


#endif /* _DLL_H_ */



typedef struct
{
  // Filter #0 (bass band)

  long int  bf;       // Frequency
  float  f0p0;     // Poles ...
  float  f0p1;     
  float  f0p2;
  float  f0p3;

  // Filter #1 (Low band)

  long int  lf;       // Frequency
  float  f1p0;     // Poles ...
  float  f1p1;     
  float  f1p2;
  float  f1p3;

  // Filter #2 (High band)

  long int  hf;       // Frequency
  float  f2p0;     // Poles ...
  float  f2p1;
  float  f2p2;
  float  f2p3;

  // Sample history buffer

  float  s1;     // Sample data minus 1
  float  s2;     //                   2
  float  s3;     //                   3

  // Gain Controls

  long int  lowg;       // low  gain
  long int  midg;       // mid  gain
  long int  highg;       // high gain
  
} equ3;  

